Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.search
Class SearchWarning

    java.lang.Object
      com.plumtree.remote.prc.search.SearchWarning

public class SearchWarning
extends java.lang.Object

Represents warnings defined by the search server.

Field Summary
`static SearchWarning` | `PROCESSING_TIMED_OUT` SearchWarning that indicates that processing within the search server took too long (i.e., timed out), and * a partial result set was returned.
`static SearchWarning` | `TOO_MANY_WILDCARD_EXPANSIONS` SearchWarning that indicates that a wildcard query, such as "a*", matched a large number of patterns.

Method Summary
`int` | `getCode()` Returns the internal warning code.
`static SearchWarning` | `parse(int val)` Returns the `SearchWarning` object corresponding to the internal warning code.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROCESSING_TIMED_OUT

    public static final SearchWarning PROCESSING_TIMED_OUT

  SearchWarning that indicates that processing within the search server took too long (i.e., timed out), and * a partial result set was returned.

### TOO_MANY_WILDCARD_EXPANSIONS

    public static final SearchWarning TOO_MANY_WILDCARD_EXPANSIONS

  SearchWarning that indicates that a wildcard query, such as "a*", matched a large number of patterns. Only some of the patterns were used for your search.

Method Detail

### getCode

    public int getCode()

  Returns the internal warning code.

  Returns:
    the internal warning code

### parse

    public static SearchWarning parse(int val)

  Returns the `SearchWarning` object corresponding to the internal warning code.

  Parameters:
    `val` - int to compare to internal SearchWarning warning code.
  Returns:
    the corresponding `SearchWarning` object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.